%define		_class		Text
%define		_subclass	TeXHyphen
%define		upstream_name	%{_class}_%{_subclass}

%global		__requires_exclude pear\\(TEXT/TeXHyphen/Pattern.php\\)|pear\\(Text/TeXHyphen/ObjectHash.php\\)|pear\\(PHPUnit.php\\)

Name:		php-pear-%{upstream_name}
Version:	0.1.0
Release:	%mkrel 22
Summary:	Automated word hyphenation with the TeX algorithm
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Text_TeXHyphen/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This package implements the TeX hyphenation algorithm based on
pattern.

The package can support various backends for pattern retrieval. At
this stage only flat files with TeX pattern were implemented. The
advantage of the TeX pattern is the available multi-language support.
Currently German, Oxford and American English are supported.

For speed purposes an interface for a cache of hyphenated words was
implemented.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/data/%{upstream_name}
%{_datadir}/pear/packages/%{upstream_name}.xml



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.0-22.mga8
+ Revision: 1499216
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.0-21.mga7
+ Revision: 1274060
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 luigiwalser <luigiwalser> 0.1.0-20.mga6
+ Revision: 964648
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 0.1.0-19.mga6
+ Revision: 964388
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.0-18.mga5
+ Revision: 746757
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.0-17.mga5
+ Revision: 687493
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.1.0-16.mga4
+ Revision: 517235
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-15.mga3
+ Revision: 377347
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.1.0-14.mga1
+ Revision: 44369
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Text_TeXHyphen


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-14mdv2011.0
+ Revision: 613786
- the mass rebuild of 2010.1 packages

* Sun Nov 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-13mdv2010.1
+ Revision: 466327
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.1.0-12mdv2010.0
+ Revision: 441661
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-11mdv2009.1
+ Revision: 322679
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-10mdv2009.0
+ Revision: 237148
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-9mdv2008.0
+ Revision: 15503
- rule out the PHPUnit.php dep


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-8mdv2007.1
+ Revision: 140463
- fix deps

* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdv2007.0
+ Revision: 82759
- Import php-pear-Text_TeXHyphen

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdk
- initial Mandriva package (PLD import)

